This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 438663 - (CVE-2008-1482) CVE-2008-1482 xine-lib Integer overflow flaws
CVE-2008-1482 xine-lib Integer overflow flaws
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://bugs.gentoo.org/show_bug.cgi?i...
: Security
Depends On: 438669 438670 438671
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-24 06:31 EDT by Lubomir Kundrak
Modified: 2008-04-09 01:17 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.1.11.1-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 01:17:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2008-03-24 06:31:25 EDT
Multiple buffer overflow flaws were discovered in xine-lib.

The vulnerabilities are caused due to integer overflow errors when
allocating memory in src/demuxers/demux_flv.c,
src/demuxers/demux_qt.c, src/demuxers/demux_real.c,
src/demuxers/demux_wc3movie.c, src/demuxers/ebml.c, and
src/demuxers/demux_film.c. These can be exploited to cause heap-based
buffer overflows via overly large fields included in e.g. FLV, MOV,
RM, MVE, MKV, and CAK files.

See original advisory for details:

http://aluigi.altervista.org/adv/xinehof-adv.txt

Gentoo:

FWIW, they should _all_ be fixed in 1.2 series, I suppose backporting the
relevant changes, if possible, would solve the issue. 1.2 makes good use of
calloc rather than using malloc directly.
Comment 1 Lubomir Kundrak 2008-03-24 06:36:45 EDT
CVE name was requested.
Comment 3 Kurt Seifried 2008-03-24 20:58:06 EDT
CVE-2008-1482
Comment 5 Ville Skyttä 2008-03-30 12:58:22 EDT
I'm working on updating F-8+ to 1.1.11.1 which should fix this issue.
Comment 6 Fedora Update System 2008-03-30 15:56:52 EDT
xine-lib-1.1.11.1-1.fc8 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-04-01 17:35:55 EDT
xine-lib-1.1.11.1-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xine-lib'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2849
Comment 8 Ville Skyttä 2008-04-02 01:17:32 EDT
FWIW, it was not my intention to push this to testing but directly to stable,
but once again I could not convince Bodhi to do that.
Comment 9 Fedora Update System 2008-04-06 04:59:51 EDT
xine-lib-1.1.11.1-1.fc7 has been submitted as an update for Fedora 7
Comment 10 Fedora Update System 2008-04-09 01:16:29 EDT
xine-lib-1.1.11.1-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2008-04-09 01:17:30 EDT
xine-lib-1.1.11.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.